Bug 831847 - is_locally_conform error while compiling against CGAL
is_locally_conform error while compiling against CGAL
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: CGAL (Show other bugs)
17
Unspecified Linux
unspecified Severity medium
: ---
: ---
Assigned To: Laurent Rineau
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-13 17:45 EDT by Dominic Cleal
Modified: 2012-07-04 16:26 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-02 18:25:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dominic Cleal 2012-06-13 17:45:25 EDT
Description of problem:
When building against CGAL-devel (e.g. OpenSCAD) you get the following error:

/usr/include/CGAL/Mesh_2/Do_not_refine_edges.h:83:7: error: 'is_locally_conform' was not declared in this scope, and no declarations were found by argument-dependent lookup at the point of instantiation [-fpermissive]

Version-Release number of selected component (if applicable):
CGAL-devel-4.0-2.fc17.x86_64

Additional info:
The same issue has been fixed in Debian bug #673554, which in turn used a small patch from Gentoo.

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=673554
http://sources.gentoo.org/cgi-bin/viewvc.cgi/gentoo-x86/sci-mathematics/cgal/files/cgal-4.0-gcc47.patch?view=markup

Applying this patch to the headers fixed the issue, allowing me to build OpenSCAD against them.
Comment 1 Fedora Update System 2012-06-14 08:50:27 EDT
CGAL-4.0-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/CGAL-4.0-3.fc17
Comment 2 Fedora Update System 2012-06-15 08:31:53 EDT
Package CGAL-4.0-3.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing CGAL-4.0-3.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-9483/CGAL-4.0-3.fc17
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2012-07-02 18:25:44 EDT
CGAL-4.0-3.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Laurent Rineau 2012-07-04 16:26:14 EDT
I have submitted CGAL-4.0.2 as a new update to F17:
  https://admin.fedoraproject.org/updates/CGAL-4.0.2-1.fc17

The bug should now be fixed upstream, with that new version.

Note You need to log in before you can comment on or make changes to this bug.